import request from '../../../utils/request'

// 外包培训答题
export function GetSource(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBOutsource/GetSource", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

// 外包培训答题 保存
export function SavePapers(params) {
	return new Promise((resolve, reject) => {
		// request.post("/WB/WBOutsourceTrainRecord/SavePapers", params).then((result) => {
		request.post("/WB/WBOutsource/SavePapers", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

// 培训记录结果确认 WB048
export function GetIni(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBOutsourceTrainRecord/GetIni", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 培训记录结果确认 保存 WB048
export function FullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBOutsourceTrainRecord/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//  WB013
export function GetProject(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/ProjectInput/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//  WB013
export function GetReject(params) {
	return new Promise((resolve, reject) => {
		request.post("/HM/HMHazardRecord/GetRejectContent", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 现场安全技术交底 WB019
export function GetDangerousJob(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/DangerousJob/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 现场安全技术交底 保存 WB019
export function WBDJFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBDangerousJob/FullUpdateDisclose", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 外包工程危险作业交底 签到 WB019_SHOWPRINT
export function WBdiscloseSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBDangerousJob/discloseSign", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

// 外包工程危险作业监查人 保存 WB021
export function WBCheckFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBDangerousJob/FullUpdateCheck", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 外包工程危险作业监查人 签到 WB021_SHOWPRINT
export function WBmointerSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBDangerousJob/mointerSign", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 外包工程危险作业记录 保存WB023
export function WBRecordFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBDangerousJob/FullUpdateRecord", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 外包工程危险作业记录 签到WB023_SHOWPRINT 027
export function WBRecordSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBDangerousJob/recordSign", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 外包工程危险作业记录 保存WB025
export function WBMointerFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBDangerousJob/FullUpdateMointer", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//WB027
export function WBSafeCheckGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/SafeCheck/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//WB027
export function WBSCFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBSafeCheck/FullUpdate",params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 获取 WB029
export function WBSafeCheckTask(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBSafeCheckTask/GetEntities", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 获取 WB029
export function WBSafeCheckTaskGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBSafeCheckTask/GetInfo", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 提交 WB029
export function WBSCTFullUpdate(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBSafeCheckTask/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 WB029_SHOWPRINT
export function WBSCGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/SafeCheckTask/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 WB029_SHOWPRINT
export function WBSCSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBSafeCheckTask/recordSign", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 提交 WB031
export function WBSCTRecGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBSafeCheckRecord/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 提交 WB031
export function WBSCTRecFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBSafeCheckRecord/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 提交 WB031_SHOWPRINT
export function WBSCTRecGetSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBSafeCheckRecord/GetSign", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 WB031_SHOWPRINT
export function WBSCRecSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBSafeCheckRecord/recordSign", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 提交 WB037
export function WBHDGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/HiddenDangerNotify/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 提交 WB037
export function WBHDFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBHiddenDangerNotify/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 WB037_SHOWPRINT
export function WBHDSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBHiddenDangerNotify/recordSign", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 提交 WB039
export function WBHDRecGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/HiddenDangerRecord/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 提交 WB039
export function WBHDRecFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBHiddenDangerRecord/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 WB039_SHOWPRINT
export function WBHDRecSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBHiddenDangerRecord/recordSign", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 WB006
export function WBTSGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/TrainSelect/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 WB006
export function WBTSFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBTrainSelect/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 WB008
export function WBOTGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBOutsourceTrainRecord/GetIni", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
// 安全检查任务制定 WB008
export function WBOTFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBOutsourceTrainRecord/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//培训记录完成   审阅   WB008_CONFIRMPAGE
export function SubmitTrainRecord(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBOutsourceTrainRecord/Submit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//外包作业许可申请 保存
export function FullUpdateDangerApply(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBDangerousJob/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


//外包作业许可申请 作业类别  获取 安全措施
export function JobTypeDangerApply(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/JobTypeEnum/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//外包作业许可申请 作业类别 具体 安全措施
export function OrderEntitiesJobSafeMeasureEnum(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/JobSafeMeasureEnum/OrderEntities", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//外包作业许可申请 人员信息获取
export function WBUserOrderPaged(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/WBUser/WBOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function WBUserOrderPagedNew(params) {
	return new Promise((resolve, reject) => {
		request.post("/FM/FMUser/OrderPagedUsefulAll", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//外包作业许可申请 项目名称
export function ProjectInputDangerApply(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/ProjectInput/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//外包作业许可申请 检查类型
export function CheckTypeApply(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/CheckType/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//外包作业许可申请 检查区域
export function CheckAreaEnumApply(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/CheckAreaEnum/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//外包作业许可申请 检查人员 监察人
export function CheckUseful(params) {
	return new Promise((resolve, reject) => {
		request.post("/FM/FMUser/OrderPagedUsefulProject", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//外包作业许可申请 检查人员 监察人
export function CheckUser(params) {
	return new Promise((resolve, reject) => {
		request.post("/FM/FMUser/OrderPagedUseful", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//外包作业许可申请 监察部门
export function WBDepartment(params) {
	return new Promise((resolve, reject) => {
		request.post("/FM/Department/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//外包作业许可申请 监察部门
export function WBOutSource(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/Outsource/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//WB005list
export function WBTSList(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/TrainSelect/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//WB007list
export function WBOTRList(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/OutsourceTrainRecord/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//WB012list 018 020 022024
export function WBDJList(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/DangerousJob/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//WB027list
export function WBSCList(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/SafeCheck/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//WB028list
export function WBSCTList(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/SafeCheckTask/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//WB030list
export function WBSCRList(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/SafeCheckRecord/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//WB036list
export function WBHDList(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/HiddenDangerNotify/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//WB038list
export function WBHDRList(params) {
	return new Promise((resolve, reject) => {
		request.post("/WB/HiddenDangerRecord/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
